Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.event.impl
Class JavaScriptWidgetListenerBuilder

    java.lang.Object
      org.apache.cocoon.forms.event.impl.JavaScriptWidgetListenerBuilder

All Implemented Interfaces:
  WidgetListenerBuilder

public class JavaScriptWidgetListenerBuilder
extends Object
implements WidgetListenerBuilder

Builds a `WidgetListener` based on a JavaScript snippet.

The syntax for this listener is as follows :

       <fd:javascript>
         var widget = event.sourceWidget;
         sourceWidget.setValue("Yeah");
       </fd:javascript>

As shown above, the event that fired this listener is published as the `event` variable.

Version:
  $Id: JavaScriptWidgetListenerBuilder.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from interface org.apache.cocoon.forms.event.WidgetListenerBuilder
`ROLE`

Constructor Summary
`JavaScriptWidgetListenerBuilder()`

Method Summary
`WidgetListener` | `buildListener(Element element, Class listenerClass)`
`void` | `setProcessInfoProvider(org.apache.cocoon.processing.ProcessInfoProvider processInfoProvider)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaScriptWidgetListenerBuilder

    public JavaScriptWidgetListenerBuilder()

Method Detail

### buildListener

    public WidgetListener buildListener(Element element,
                                        Class listenerClass)
                                 throws Exception

  Specified by:
    `buildListener` in interface `WidgetListenerBuilder`
  Throws:
    `Exception`

### setProcessInfoProvider

    public void setProcessInfoProvider(org.apache.cocoon.processing.ProcessInfoProvider processInfoProvider)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.